petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscEmacsClientErrorHandler

Error handler that uses the emacsclient program to load the file where the error occured. Then calls the "previous" error handler.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscEmacsClientErrorHandler(MPI_Comm comm,int line,const char *fun,const char *file,PetscErrorCode n,PetscErrorType p,const char *mess,void *ctx)

Not Collective

### Input Parameters

| comm | - communicator over which error occured
| line | - the line number of the error (indicated by __LINE__)
| func | - the function where error is detected (indicated by __FUNCT__)
| file | - the file in which the error was detected (indicated by __FILE__)
| mess | - an error text string, usually just printed to the screen
| n | - the generic error number
| p | - specific error number
| ctx | - error handler context

### Options Database Key

-on_error_emacs <machinename> -

### Notes

You must put (server-start) in your .emacs file for the emacsclient software to work

Most users need not directly employ this routine and the other error handlers, but can instead use the simplified interface SETERRQ, which has the calling sequence

        SETERRQ(PETSC_COMM_SELF,number,p,mess)

### Notes for experienced users

Use PetscPushErrorHandler() to set the desired error handler.

Developer Note: Since this is an error handler it cannot call CHKERRQ(); thus we just return if an error is detected.

### See Also

PetscPushErrorHandler(), PetscAttachDebuggerErrorHandler(),
PetscAbortErrorHandler()

Level:developer
Location:src/sys/error/err.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages